Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.mail.smime.handlers
Class PKCS7ContentHandler

    java.lang.Object
      org.bouncycastle.mail.smime.handlers.PKCS7ContentHandler

All Implemented Interfaces:
  javax.activation.DataContentHandler

Direct Known Subclasses:
  pkcs7_mime, pkcs7_signature, x_pkcs7_mime

    public class PKCS7ContentHandler

extends java.lang.Object
implements javax.activation.DataContentHandler

Method Summary
`java.lang.Object` | `getContent(javax.activation.DataSource ds)`
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor df, javax.activation.DataSource ds)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`void` | `writeTo(java.lang.Object obj, java.lang.String mimeType, java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getContent

    public java.lang.Object getContent(javax.activation.DataSource ds)
                                throws java.io.IOException

  Specified by:
    `getContent` in interface `javax.activation.DataContentHandler`
  Throws:
    `java.io.IOException`

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor df,
                                            javax.activation.DataSource ds)
                                     throws java.io.IOException

  Specified by:
    `getTransferData` in interface `javax.activation.DataContentHandler`
  Throws:
    `java.io.IOException`

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `javax.activation.DataContentHandler`

### writeTo

    public void writeTo(java.lang.Object obj,
                        java.lang.String mimeType,
                        java.io.OutputStream os)
                 throws java.io.IOException

  Specified by:
    `writeTo` in interface `javax.activation.DataContentHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD